# $Revision: 1.9 $, $Date: 2012/01/14 00:27:59 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Class
%define	pnam	DBI-Sweet
Summary:	Class::DBI::Sweet - Making sweet things sweeter
Summary(pl.UTF-8):	Class::DBI::Sweet - czynienie miłych rzeczy milszymi
Name:		perl-Class-DBI-Sweet
Version:	0.11
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Class/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c593a4138242f7b7601b90356bdf3a13
URL:		http://search.cpan.org/dist/Class-DBI-Sweet/
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Class::DBI) >= 3.0.12
BuildRequires:	perl(DBD::Pg)
BuildRequires:	perl(DBD::SQLite) >= 1.08
BuildRequires:	perl(Data::Page)
BuildRequires:	perl(Data::UUID)
BuildRequires:	perl(Date::Simple)
BuildRequires:	perl(SQL::Abstract) >= 1.55
BuildRequires:	perl(Time::Piece::MySQL)
BuildRequires:	perl-Cache-Cache
BuildRequires:	perl-DBI
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Class::DBI::Sweet provides convenient count, search, page, and cache
functions in a sweet package. It integrates these functions with
Class::DBI in a convenient and efficient way.

%description -l pl.UTF-8
Class::DBI::Sweet dostarcza wygodne funkcje count, search, page i
chage w miłym pakiecie. Integruje te funkcje z Class::DBI w wygodny i
wydajny sposób.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	installdirs=vendor \
	destdir=$RPM_BUILD_ROOT
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Class/DBI/*.pm
%{perl_vendorlib}/Class/DBI/Sweet
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-DBI-Sweet.spec,v $
Revision 1.9  2012/01/14 00:27:59  zbyniu
- up to 0.11

Revision 1.8  2009/09/09 12:01:47  amateja
- updated to 0.10
- cleaned up BRs

Revision 1.7  2008/05/25 02:08:36  zbyniu
- up to 0.09

Revision 1.6  2007-12-23 22:55:11  zbyniu
- up to 0.08

Revision 1.5  2007-03-31 19:45:52  qboosh
- generic URL
- BR: perl-Module-Build

Revision 1.4  2007/02/13 07:16:53  glen
- tabs in preamble

Revision 1.3  2007/02/12 00:49:24  baggins
- converted to UTF-8

Revision 1.2  2005/10/12 21:55:55  qboosh
- pl

Revision 1.1  2005/10/11 19:45:27  migo
- initial revisions (big help from pldcpan.pl)
